INTERFACE
SUBROUTINE AER_OPT_PROP&
 & ( KDLEN , KLEN , KMXCOUNT,&
 & PQF, PTF, PPRESH, PPRESF,&
 & YDGEMSPROF,&
 & PAEREXT,PAEROM, PAERASY) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM, ONLY : NFLEVG
USE YOMDB
USE TYPE_GEMS_PROFILES
INTEGER(KIND=JPIM),INTENT(IN) :: KDLEN, KLEN, KMXCOUNT
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESH(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PPRESF(KDLEN,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTF(KDLEN,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PQF(KDLEN,0:NFLEVG)
TYPE (TYPE_GEMSPROF) ,INTENT(IN) :: YDGEMSPROF(KDLEN,NGEMS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEREXT(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAEROM(KDLEN,NFLEVG,KMXCOUNT)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERASY(KDLEN,NFLEVG,KMXCOUNT)
INTEGER(KIND=JPIM), PARAMETER :: IWAVLMX=7
INTEGER(KIND=JPIM), PARAMETER :: JTABMX=12
END SUBROUTINE AER_OPT_PROP
END INTERFACE
